import shmsLayout from '@/components/layout/shms'

export default [
  { path: '/', redirect: '/shms' },
  {
    path: '/',
    component: shmsLayout,
    children: [
      {
        path: '/shms',
        component: () => import('@/pages/shms/index.vue')
      },
      {
        path: '/shms/status',
        component: () => import('@/pages/shms/status/index.vue'),
        meta: { requiredLogin: true }
      },
      {
        path: '/shms/score',
        component: () => import('@/pages/shms/score/index.vue'),
        meta: { requiredLogin: true }
      },
      {
        path: '/shms/certs',
        component: () => import('@/pages/shms/certs/index.vue'),
        meta: { requiredLogin: true }
      }
    ]
  },
  /* 如果所有页面都没找到 - 指向 */
  { path: '*', component: () => import('@/components/errorPages/404.vue') }
]
